/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-12-23 17:40:11
 * @Description: 职业推荐相关接口
 */
import request from '@/utilsRc/request'

// 获取职业列表
export function getProfessions(query) {
  return request({
    url: '/jobSimilarity/getJob',
    method: 'get',
    params: query,
    baseUrlType: 'zytp'
  })
}

// 获取技能标签
export function getSkillTags(query) {
  return request({
    url: '/jobSkillDet/getJobSkill',
    method: 'get',
    params: query,
    baseUrlType: 'zytp'
  })
}

// 获取推荐职业
export function getRecommend(query) {
  return request({
    url: '/jobSimilarity/recommendJobByJobName',
    method: 'get',
    params: query,
    baseUrlType: 'zytp'
  })
}
